Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class ASTWithTokenFactory

    java.lang.Object
      antlr.ASTFactory
          de.grogra.grammar.ASTWithTokenFactory

    public class ASTWithTokenFactory

extends antlr.ASTFactory

Field Summary

Fields inherited from class antlr.ASTFactory
`theASTNodeType, theASTNodeTypeClass, tokenTypeToASTClassMap`

Constructor Summary
`ASTWithTokenFactory()`

Method Summary
`antlr.collections.AST` | `create()`
`antlr.collections.AST` | `create(antlr.collections.AST t)`
`protected antlr.collections.AST` | `create(java.lang.Class cls)`
`antlr.collections.AST` | `create(int type)`
`antlr.collections.AST` | `create(int type, java.lang.String text)`
`antlr.collections.AST` | `create(int type, java.lang.String text, java.lang.String className)`
`antlr.collections.AST` | `create(antlr.Token token)`
`antlr.collections.AST` | `create(antlr.Token token, java.lang.String className)`
`protected antlr.collections.AST` | `createUsingCtor(antlr.Token token, java.lang.String className)`
`antlr.collections.AST` | `dup(antlr.collections.AST t)`

Methods inherited from class antlr.ASTFactory
`addASTChild, create, dupList, dupTree, error, getASTNodeType, getTokenTypeToASTClassMap, make, make, makeASTRoot, setASTNodeClass, setASTNodeClass, setASTNodeType, setTokenTypeASTNodeType, setTokenTypeToASTClassMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTWithTokenFactory

    public ASTWithTokenFactory()

Method Detail

### create

    public antlr.collections.AST create()

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(antlr.collections.AST t)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    protected antlr.collections.AST create(java.lang.Class cls)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(int type)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(int type,
                                        java.lang.String text)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(int type,
                                        java.lang.String text,
                                        java.lang.String className)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(antlr.Token token)

  Overrides:
    `create` in class `antlr.ASTFactory`

### create

    public antlr.collections.AST create(antlr.Token token,
                                        java.lang.String className)

  Overrides:
    `create` in class `antlr.ASTFactory`

### createUsingCtor

    protected antlr.collections.AST createUsingCtor(antlr.Token token,
                                                    java.lang.String className)

  Overrides:
    `createUsingCtor` in class `antlr.ASTFactory`

### dup

    public antlr.collections.AST dup(antlr.collections.AST t)

  Overrides:
    `dup` in class `antlr.ASTFactory`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD